/*#######################################################################################
AVR DCF77 Clock 

Copyright (C) 2006 Ulrich Radig

#######################################################################################*/

#include "main.h"

//############################################################################
//Hauptprogramm
int main (void)
//############################################################################
{
	DDRD |= (1<<PD5);
	//Inizialisierung der Seriellen Schnittstelle
	UART_Init();
	//Initzialisierung des LCD - Displays
	LCD_Init();

	//Globale Interrupts einschalten
	sei();

	//Starten der DCF77 Uhr
	Start_Clock();
	LCD_Clear();
	printf("\n\n\n");
	//Ausgabe der Zeit auf der Seriellen Schnittstelle in einer Endlosschleife
	while (1)
		{
		long i;
		if (flags.dcf_sync == 1)
			{
			LCD_Print(0,18,"  ");
			}
			else
			{
			LCD_Print(0,18,"NS");
			}
		if (flags.dcf_rx == 1)
			{
			LCD_Print(0,18,"RX");
			}
		LCD_Print(0,0,"Time: %2i:%2i:%2i",hh,mm,ss);
		LCD_Print(1,0,"Date: %2i:%2i:%4i",day,mon,year);
		printf("%d-%d-%d Time: %d:%d:%d Sync: %d  Rx: %d       \r",
				day,mon,year,hh,mm,ss,flags.dcf_sync,flags.dcf_rx);
		//Wait a schort time
		for (i=0;i<200000;i++){
				if ( PIND & (1<<PIND2) )
		{
			PORTD &= ~(1<<PD5);
		}
		else
		{
			PORTD |= (1<<PD5);
		}
		};


		}
return (1);
}

